Client Get Runs Templated Output
curl --request POST \
--url https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_template_id": 123
}
'import requests
url = "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output"
payload = { "output_template_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({output_template_id: 123})
};
fetch('https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'output_template_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output"
payload := strings.NewReader("{\n \"output_template_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"output_template_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"output_template_id\": 123\n}"
response = http.request(request)
puts response.read_body"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Download Agent Runs Templated Output
Download all Runs of an Agent into a Multiple-Run Excel Template, or as the default Excel table
Client Get Runs Templated Output
curl --request POST \
--url https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_template_id": 123
}
'import requests
url = "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output"
payload = { "output_template_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({output_template_id: 123})
};
fetch('https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'output_template_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output"
payload := strings.NewReader("{\n \"output_template_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"output_template_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/templated-output")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"output_template_id\": 123\n}"
response = http.request(request)
puts response.read_body"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Rate Limit: This endpoint is limited to requests per minute per user.
The output always includes every Run on the Agent. Filtering to a subset of Runs is not currently supported.
Omit
output_template_id to download all Runs as the default xlsx table, matching the Runs table export in the web app.Authorizations
Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.
Path Parameters
Body
application/json
The ID of the multi-run Excel output template to use. The output format (xlsx or xlsm) matches the template file. When omitted, all runs are downloaded as the default xlsx table.
Response
Returns the templated output file, or the default xlsx table when no template is provided, containing all runs for download
The response is of type file.
Was this page helpful?
